org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.serialization

## Interface SerializationPackage

    public interface SerializationPackage

The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each enum,
- and each data type

See Also:
  `SerializationFactory`
Generated:
Model:
  kind="package"

### Nested Class Summary

Nested Classes
`static interface` `SerializationPackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

### Field Summary

Fields
`static int` `ABSTRACT_ATTRIBUTE_INSTANCE` The meta object id for the '`Abstract Attribute Instance`' class.
`static int` `ABSTRACT_ATTRIBUTE_INSTANCE__EATTRIBUTE` The feature id for the 'EAttribute' reference.
`static int` `ABSTRACT_ATTRIBUTE_INSTANCE_FEATURE_COUNT` The number of structural features of the 'Abstract Attribute Instance' class.
`static int` `ABSTRACT_REFERENCE_INSTANCE` The meta object id for the '`Abstract Reference Instance`' class.
`static int` `ABSTRACT_REFERENCE_INSTANCE__EREFERENCE` The feature id for the 'EReference' reference.
`static int` `ABSTRACT_REFERENCE_INSTANCE_FEATURE_COUNT` The number of structural features of the 'Abstract Reference Instance' class.
`static SerializationPackage` `eINSTANCE` The singleton instance of the package.
`static java.lang.String` `eNAME` The package name.
`static java.lang.String` `eNS_PREFIX` The package namespace name.
`static java.lang.String` `eNS_URI` The package namespace URI.
`static int` `EXTENDED_EOBJECT_REFERENCE` The meta object id for the '`Extended EObject Reference`' class.
`static int` `EXTENDED_EOBJECT_REFERENCE__ATTRIBUTE_INSTANCES` The feature id for the 'Attribute Instances' containment reference list.
`static int` `EXTENDED_EOBJECT_REFERENCE__EXTENDED_EOBJECT` The feature id for the 'Extended EObject' reference.
`static int` `EXTENDED_EOBJECT_REFERENCE__REFERENCE_INSTANCES` The feature id for the 'Reference Instances' containment reference list.
`static int` `EXTENDED_EOBJECT_REFERENCE_FEATURE_COUNT` The number of structural features of the 'Extended EObject Reference' class.
`static int` `MULTI_VALUED_ATTRIBUTE_INSTANCE` The meta object id for the '`Multi Valued Attribute Instance`' class.
`static int` `MULTI_VALUED_ATTRIBUTE_INSTANCE__EATTRIBUTE` The feature id for the 'EAttribute' reference.
`static int` `MULTI_VALUED_ATTRIBUTE_INSTANCE__VALUES` The feature id for the 'Values' attribute list.
`static int` `MULTI_VALUED_ATTRIBUTE_INSTANCE_FEATURE_COUNT` The number of structural features of the 'Multi Valued Attribute Instance' class.
`static int` `MULTI_VALUED_CONTAINMENT_REFERENCE_INSTANCE` The meta object id for the '`Multi Valued Containment Reference Instance`' class.
`static int` `MULTI_VALUED_CONTAINMENT_REFERENCE_INSTANCE__EREFERENCE` The feature id for the 'EReference' reference.
`static int` `MULTI_VALUED_CONTAINMENT_REFERENCE_INSTANCE__OWNED_ELEMENTS` The feature id for the 'Owned Elements' containment reference list.
`static int` `MULTI_VALUED_CONTAINMENT_REFERENCE_INSTANCE_FEATURE_COUNT` The number of structural features of the 'Multi Valued Containment Reference Instance' class.
`static int` `MULTI_VALUED_REFERENCE_INSTANCE` The meta object id for the '`Multi Valued Reference Instance`' class.
`static int` `MULTI_VALUED_REFERENCE_INSTANCE__EREFERENCE` The feature id for the 'EReference' reference.
`static int` `MULTI_VALUED_REFERENCE_INSTANCE__REFERENCED_ELEMENTS` The feature id for the 'Referenced Elements' reference list.
`static int` `MULTI_VALUED_REFERENCE_INSTANCE_FEATURE_COUNT` The number of structural features of the 'Multi Valued Reference Instance' class.
`static int` `SINGLE_VALUED_ATTRIBUTE_INSTANCE` The meta object id for the '`Single Valued Attribute Instance`' class.
`static int` `SINGLE_VALUED_ATTRIBUTE_INSTANCE__EATTRIBUTE` The feature id for the 'EAttribute' reference.
`static int` `SINGLE_VALUED_ATTRIBUTE_INSTANCE__VALUE` The feature id for the 'Value' attribute.
`static int` `SINGLE_VALUED_ATTRIBUTE_INSTANCE_FEATURE_COUNT` The number of structural features of the 'Single Valued Attribute Instance' class.
`static int` `SINGLE_VALUED_CONTAINMENT_REFERENCE_INSTANCE` The meta object id for the '`Single Valued Containment Reference Instance`' class.
`static int` `SINGLE_VALUED_CONTAINMENT_REFERENCE_INSTANCE__EREFERENCE` The feature id for the 'EReference' reference.
`static int` `SINGLE_VALUED_CONTAINMENT_REFERENCE_INSTANCE__OWNED_ELEMENT` The feature id for the 'Owned Element' containment reference.
`static int` `SINGLE_VALUED_CONTAINMENT_REFERENCE_INSTANCE_FEATURE_COUNT` The number of structural features of the 'Single Valued Containment Reference Instance' class.
`static int` `SINGLE_VALUED_REFERENCE_INSTANCE` The meta object id for the '`Single Valued Reference Instance`' class.
`static int` `SINGLE_VALUED_REFERENCE_INSTANCE__EREFERENCE` The feature id for the 'EReference' reference.
`static int` `SINGLE_VALUED_REFERENCE_INSTANCE__REFERENCED_ELEMENT` The feature id for the 'Referenced Element' reference.
`static int` `SINGLE_VALUED_REFERENCE_INSTANCE_FEATURE_COUNT` The number of structural features of the 'Single Valued Reference Instance' class.

### Method Summary

All Methods Instance Methods Abstract Methods
`EReference` `getAbstractAttributeInstance_EAttribute()` Returns the meta object for the reference '`EAttribute`'.
`EClass` `getAbstractAttributeInstance()` Returns the meta object for class '`Abstract Attribute Instance`'.
`EReference` `getAbstractReferenceInstance_EReference()` Returns the meta object for the reference '`EReference`'.
`EClass` `getAbstractReferenceInstance()` Returns the meta object for class '`Abstract Reference Instance`'.
`EReference` `getExtendedEObjectReference_AttributeInstances()` Returns the meta object for the containment reference list '`Attribute Instances`'.
`EReference` `getExtendedEObjectReference_ExtendedEObject()` Returns the meta object for the reference '`Extended EObject`'.
`EReference` `getExtendedEObjectReference_ReferenceInstances()` Returns the meta object for the containment reference list '`Reference Instances`'.
`EClass` `getExtendedEObjectReference()` Returns the meta object for class '`Extended EObject Reference`'.
`EAttribute` `getMultiValuedAttributeInstance_Values()` Returns the meta object for the attribute list '`Values`'.
`EClass` `getMultiValuedAttributeInstance()` Returns the meta object for class '`Multi Valued Attribute Instance`'.
`EReference` `getMultiValuedContainmentReferenceInstance_OwnedElements()` Returns the meta object for the containment reference list '`Owned Elements`'.
`EClass` `getMultiValuedContainmentReferenceInstance()` Returns the meta object for class '`Multi Valued Containment Reference Instance`'.
`EReference` `getMultiValuedReferenceInstance_ReferencedElements()` Returns the meta object for the reference list '`Referenced Elements`'.
`EClass` `getMultiValuedReferenceInstance()` Returns the meta object for class '`Multi Valued Reference Instance`'.
`SerializationFactory` `getSerializationFactory()` Returns the factory that creates the instances of the model.
`EAttribute` `getSingleValuedAttributeInstance_Value()` Returns the meta object for the attribute '`Value`'.
`EClass` `getSingleValuedAttributeInstance()` Returns the meta object for class '`Single Valued Attribute Instance`'.
`EReference` `getSingleValuedContainmentReferenceInstance_OwnedElement()` Returns the meta object for the containment reference '`Owned Element`'.
`EClass` `getSingleValuedContainmentReferenceInstance()` Returns the meta object for class '`Single Valued Containment Reference Instance`'.
`EReference` `getSingleValuedReferenceInstance_ReferencedElement()` Returns the meta object for the reference '`Referenced Element`'.
`EClass` `getSingleValuedReferenceInstance()` Returns the meta object for class '`Single Valued Reference Instance`'.

### Field Detail

#### eNAME

    static final java.lang.String eNAME

The package name.

See Also:
  Constant Field Values
Generated:

#### eNS_URI

    static final java.lang.String eNS_URI

The package namespace URI.

See Also:
  Constant Field Values
Generated:

#### eNS_PREFIX

    static final java.lang.String eNS_PREFIX

The package namespace name.

See Also:
  Constant Field Values
Generated:

#### eINSTANCE

    static final SerializationPackage eINSTANCE

The singleton instance of the package.

Generated:

#### ABSTRACT_REFERENCE_INSTANCE

    static final int ABSTRACT_REFERENCE_INSTANCE

The meta object id for the '`Abstract Reference Instance`' class.

See Also:
  `org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.serialization.impl.AbstractReferenceInstanceImpl`, `org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.serialization.impl.SerializationPackageImpl#getAbstractReferenceInstance()`, Constant Field Values
Generated:

#### ABSTRACT_REFERENCE_INSTANCE__EREFERENCE

    static final int ABSTRACT_REFERENCE_INSTANCE__EREFERENCE

The feature id for the 'EReference' reference.

See Also:
  Constant Field Values
Generated:
Ordered:

#### ABSTRACT_REFERENCE_INSTANCE_FEATURE_COUNT

    static final int ABSTRACT_REFERENCE_INSTANCE_FEATURE_COUNT

The number of structural features of the 'Abstract Reference Instance' class.

See Also:
  Constant Field Values
Generated:
Ordered:

#### MULTI_VALUED_CONTAINMENT_REFERENCE_INSTANCE

    static final int MULTI_VALUED_CONTAINMENT_REFERENCE_INSTANCE

The meta object id for the '`Multi Valued Containment Reference Instance`' class.

See Also:
  `org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.serialization.impl.MultiValuedContainmentReferenceInstanceImpl`, `org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.serialization.impl.SerializationPackageImpl#getMultiValuedContainmentReferenceInstance()`, Constant Field Values
Generated:

#### MULTI_VALUED_CONTAINMENT_REFERENCE_INSTANCE__EREFERENCE

    static final int MULTI_VALUED_CONTAINMENT_REFERENCE_INSTANCE__EREFERENCE

The feature id for the 'EReference' reference.

See Also:
  Constant Field Values
Generated:
Ordered:

#### MULTI_VALUED_CONTAINMENT_REFERENCE_INSTANCE__OWNED_ELEMENTS

    static final int MULTI_VALUED_CONTAINMENT_REFERENCE_INSTANCE__OWNED_ELEMENTS

The feature id for the 'Owned Elements' containment reference list.

See Also:
  Constant Field Values
Generated:
Ordered:

#### MULTI_VALUED_CONTAINMENT_REFERENCE_INSTANCE_FEATURE_COUNT

    static final int MULTI_VALUED_CONTAINMENT_REFERENCE_INSTANCE_FEATURE_COUNT

The number of structural features of the 'Multi Valued Containment Reference Instance' class.

See Also:
  Constant Field Values
Generated:
Ordered:

#### MULTI_VALUED_REFERENCE_INSTANCE

    static final int MULTI_VALUED_REFERENCE_INSTANCE

The meta object id for the '`Multi Valued Reference Instance`' class.

See Also:
  `org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.serialization.impl.MultiValuedReferenceInstanceImpl`, `org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.serialization.impl.SerializationPackageImpl#getMultiValuedReferenceInstance()`, Constant Field Values
Generated:

#### MULTI_VALUED_REFERENCE_INSTANCE__EREFERENCE

    static final int MULTI_VALUED_REFERENCE_INSTANCE__EREFERENCE

The feature id for the 'EReference' reference.

See Also:
  Constant Field Values
Generated:
Ordered:

#### MULTI_VALUED_REFERENCE_INSTANCE__REFERENCED_ELEMENTS

    static final int MULTI_VALUED_REFERENCE_INSTANCE__REFERENCED_ELEMENTS

The feature id for the 'Referenced Elements' reference list.

See Also:
  Constant Field Values
Generated:
Ordered:

#### MULTI_VALUED_REFERENCE_INSTANCE_FEATURE_COUNT

    static final int MULTI_VALUED_REFERENCE_INSTANCE_FEATURE_COUNT

The number of structural features of the 'Multi Valued Reference Instance' class.

See Also:
  Constant Field Values
Generated:
Ordered:

#### ABSTRACT_ATTRIBUTE_INSTANCE

    static final int ABSTRACT_ATTRIBUTE_INSTANCE

The meta object id for the '`Abstract Attribute Instance`' class.

See Also:
  `org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.serialization.impl.AbstractAttributeInstanceImpl`, `org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.serialization.impl.SerializationPackageImpl#getAbstractAttributeInstance()`, Constant Field Values
Generated:

#### ABSTRACT_ATTRIBUTE_INSTANCE__EATTRIBUTE

    static final int ABSTRACT_ATTRIBUTE_INSTANCE__EATTRIBUTE

The feature id for the 'EAttribute' reference.

See Also:
  Constant Field Values
Generated:
Ordered:

#### ABSTRACT_ATTRIBUTE_INSTANCE_FEATURE_COUNT

    static final int ABSTRACT_ATTRIBUTE_INSTANCE_FEATURE_COUNT

The number of structural features of the 'Abstract Attribute Instance' class.

See Also:
  Constant Field Values
Generated:
Ordered:

#### SINGLE_VALUED_ATTRIBUTE_INSTANCE

    static final int SINGLE_VALUED_ATTRIBUTE_INSTANCE

The meta object id for the '`Single Valued Attribute Instance`' class.

See Also:
  `org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.serialization.impl.SingleValuedAttributeInstanceImpl`, `org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.serialization.impl.SerializationPackageImpl#getSingleValuedAttributeInstance()`, Constant Field Values
Generated:

#### SINGLE_VALUED_ATTRIBUTE_INSTANCE__EATTRIBUTE

    static final int SINGLE_VALUED_ATTRIBUTE_INSTANCE__EATTRIBUTE

The feature id for the 'EAttribute' reference.

See Also:
  Constant Field Values
Generated:
Ordered:

#### SINGLE_VALUED_ATTRIBUTE_INSTANCE__VALUE

    static final int SINGLE_VALUED_ATTRIBUTE_INSTANCE__VALUE

The feature id for the 'Value' attribute.

See Also:
  Constant Field Values
Generated:
Ordered:

#### SINGLE_VALUED_ATTRIBUTE_INSTANCE_FEATURE_COUNT

    static final int SINGLE_VALUED_ATTRIBUTE_INSTANCE_FEATURE_COUNT

The number of structural features of the 'Single Valued Attribute Instance' class.

See Also:
  Constant Field Values
Generated:
Ordered:

#### EXTENDED_EOBJECT_REFERENCE

    static final int EXTENDED_EOBJECT_REFERENCE

The meta object id for the '`Extended EObject Reference`' class.

See Also:
  `org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.serialization.impl.ExtendedEObjectReferenceImpl`, `org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.serialization.impl.SerializationPackageImpl#getExtendedEObjectReference()`, Constant Field Values
Generated:

#### EXTENDED_EOBJECT_REFERENCE__EXTENDED_EOBJECT

    static final int EXTENDED_EOBJECT_REFERENCE__EXTENDED_EOBJECT

The feature id for the 'Extended EObject' reference.

See Also:
  Constant Field Values
Generated:
Ordered:

#### EXTENDED_EOBJECT_REFERENCE__ATTRIBUTE_INSTANCES

    static final int EXTENDED_EOBJECT_REFERENCE__ATTRIBUTE_INSTANCES

The feature id for the 'Attribute Instances' containment reference list.

See Also:
  Constant Field Values
Generated:
Ordered:

#### EXTENDED_EOBJECT_REFERENCE__REFERENCE_INSTANCES

    static final int EXTENDED_EOBJECT_REFERENCE__REFERENCE_INSTANCES

The feature id for the 'Reference Instances' containment reference list.

See Also:
  Constant Field Values
Generated:
Ordered:

#### EXTENDED_EOBJECT_REFERENCE_FEATURE_COUNT

    static final int EXTENDED_EOBJECT_REFERENCE_FEATURE_COUNT

The number of structural features of the 'Extended EObject Reference' class.

See Also:
  Constant Field Values
Generated:
Ordered:

#### SINGLE_VALUED_CONTAINMENT_REFERENCE_INSTANCE

    static final int SINGLE_VALUED_CONTAINMENT_REFERENCE_INSTANCE

The meta object id for the '`Single Valued Containment Reference Instance`' class.

See Also:
  `org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.serialization.impl.SingleValuedContainmentReferenceInstanceImpl`, `org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.serialization.impl.SerializationPackageImpl#getSingleValuedContainmentReferenceInstance()`, Constant Field Values
Generated:

#### SINGLE_VALUED_CONTAINMENT_REFERENCE_INSTANCE__EREFERENCE

    static final int SINGLE_VALUED_CONTAINMENT_REFERENCE_INSTANCE__EREFERENCE

The feature id for the 'EReference' reference.

See Also:
  Constant Field Values
Generated:
Ordered:

#### SINGLE_VALUED_CONTAINMENT_REFERENCE_INSTANCE__OWNED_ELEMENT

    static final int SINGLE_VALUED_CONTAINMENT_REFERENCE_INSTANCE__OWNED_ELEMENT

The feature id for the 'Owned Element' containment reference.

See Also:
  Constant Field Values
Generated:
Ordered:

#### SINGLE_VALUED_CONTAINMENT_REFERENCE_INSTANCE_FEATURE_COUNT

    static final int SINGLE_VALUED_CONTAINMENT_REFERENCE_INSTANCE_FEATURE_COUNT

The number of structural features of the 'Single Valued Containment Reference Instance' class.

See Also:
  Constant Field Values
Generated:
Ordered:

#### SINGLE_VALUED_REFERENCE_INSTANCE

    static final int SINGLE_VALUED_REFERENCE_INSTANCE

The meta object id for the '`Single Valued Reference Instance`' class.

See Also:
  `org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.serialization.impl.SingleValuedReferenceInstanceImpl`, `org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.serialization.impl.SerializationPackageImpl#getSingleValuedReferenceInstance()`, Constant Field Values
Generated:

#### SINGLE_VALUED_REFERENCE_INSTANCE__EREFERENCE

    static final int SINGLE_VALUED_REFERENCE_INSTANCE__EREFERENCE

The feature id for the 'EReference' reference.

See Also:
  Constant Field Values
Generated:
Ordered:

#### SINGLE_VALUED_REFERENCE_INSTANCE__REFERENCED_ELEMENT

    static final int SINGLE_VALUED_REFERENCE_INSTANCE__REFERENCED_ELEMENT

The feature id for the 'Referenced Element' reference.

See Also:
  Constant Field Values
Generated:
Ordered:

#### SINGLE_VALUED_REFERENCE_INSTANCE_FEATURE_COUNT

    static final int SINGLE_VALUED_REFERENCE_INSTANCE_FEATURE_COUNT

The number of structural features of the 'Single Valued Reference Instance' class.

See Also:
  Constant Field Values
Generated:
Ordered:

#### MULTI_VALUED_ATTRIBUTE_INSTANCE

    static final int MULTI_VALUED_ATTRIBUTE_INSTANCE

The meta object id for the '`Multi Valued Attribute Instance`' class.

See Also:
  `org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.serialization.impl.MultiValuedAttributeInstanceImpl`, `org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.serialization.impl.SerializationPackageImpl#getMultiValuedAttributeInstance()`, Constant Field Values
Generated:

#### MULTI_VALUED_ATTRIBUTE_INSTANCE__EATTRIBUTE

    static final int MULTI_VALUED_ATTRIBUTE_INSTANCE__EATTRIBUTE

The feature id for the 'EAttribute' reference.

See Also:
  Constant Field Values
Generated:
Ordered:

#### MULTI_VALUED_ATTRIBUTE_INSTANCE__VALUES

    static final int MULTI_VALUED_ATTRIBUTE_INSTANCE__VALUES

The feature id for the 'Values' attribute list.

See Also:
  Constant Field Values
Generated:
Ordered:

#### MULTI_VALUED_ATTRIBUTE_INSTANCE_FEATURE_COUNT

    static final int MULTI_VALUED_ATTRIBUTE_INSTANCE_FEATURE_COUNT

The number of structural features of the 'Multi Valued Attribute Instance' class.

See Also:
  Constant Field Values
Generated:
Ordered:

### Method Detail

#### getAbstractReferenceInstance

    EClass getAbstractReferenceInstance()

Returns the meta object for class '`Abstract Reference Instance`'.

Returns:
  the meta object for class 'Abstract Reference Instance'.
See Also:
  `AbstractReferenceInstance`
Generated:

#### getAbstractReferenceInstance_EReference

    EReference getAbstractReferenceInstance_EReference()

Returns the meta object for the reference '`EReference`'.

Returns:
  the meta object for the reference 'EReference'.
See Also:
  `AbstractReferenceInstance.getEReference()`, `getAbstractReferenceInstance()`
Generated:

#### getMultiValuedContainmentReferenceInstance

    EClass getMultiValuedContainmentReferenceInstance()

Returns the meta object for class '`Multi Valued Containment Reference Instance`'.

Returns:
  the meta object for class 'Multi Valued Containment Reference Instance'.
See Also:
  `MultiValuedContainmentReferenceInstance`
Generated:

#### getMultiValuedContainmentReferenceInstance_OwnedElements

    EReference getMultiValuedContainmentReferenceInstance_OwnedElements()

Returns the meta object for the containment reference list '`Owned Elements`'.

Returns:
  the meta object for the containment reference list 'Owned Elements'.
See Also:
  `MultiValuedContainmentReferenceInstance.getOwnedElements()`, `getMultiValuedContainmentReferenceInstance()`
Generated:

#### getMultiValuedReferenceInstance

    EClass getMultiValuedReferenceInstance()

Returns the meta object for class '`Multi Valued Reference Instance`'.

Returns:
  the meta object for class 'Multi Valued Reference Instance'.
See Also:
  `MultiValuedReferenceInstance`
Generated:

#### getMultiValuedReferenceInstance_ReferencedElements

    EReference getMultiValuedReferenceInstance_ReferencedElements()

Returns the meta object for the reference list '`Referenced Elements`'.

Returns:
  the meta object for the reference list 'Referenced Elements'.
See Also:
  `MultiValuedReferenceInstance.getReferencedElements()`, `getMultiValuedReferenceInstance()`
Generated:

#### getSingleValuedAttributeInstance

    EClass getSingleValuedAttributeInstance()

Returns the meta object for class '`Single Valued Attribute Instance`'.

Returns:
  the meta object for class 'Single Valued Attribute Instance'.
See Also:
  `SingleValuedAttributeInstance`
Generated:

#### getSingleValuedAttributeInstance_Value

    EAttribute getSingleValuedAttributeInstance_Value()

Returns the meta object for the attribute '`Value`'.

Returns:
  the meta object for the attribute 'Value'.
See Also:
  `SingleValuedAttributeInstance.getValue()`, `getSingleValuedAttributeInstance()`
Generated:

#### getExtendedEObjectReference

    EClass getExtendedEObjectReference()

Returns the meta object for class '`Extended EObject Reference`'.

Returns:
  the meta object for class 'Extended EObject Reference'.
See Also:
  `ExtendedEObjectReference`
Generated:

#### getExtendedEObjectReference_ExtendedEObject

    EReference getExtendedEObjectReference_ExtendedEObject()

Returns the meta object for the reference '`Extended EObject`'.

Returns:
  the meta object for the reference 'Extended EObject'.
See Also:
  `ExtendedEObjectReference.getExtendedEObject()`, `getExtendedEObjectReference()`
Generated:

#### getExtendedEObjectReference_AttributeInstances

    EReference getExtendedEObjectReference_AttributeInstances()

Returns the meta object for the containment reference list '`Attribute Instances`'.

Returns:
  the meta object for the containment reference list 'Attribute Instances'.
See Also:
  `ExtendedEObjectReference.getAttributeInstances()`, `getExtendedEObjectReference()`
Generated:

#### getExtendedEObjectReference_ReferenceInstances

    EReference getExtendedEObjectReference_ReferenceInstances()

Returns the meta object for the containment reference list '`Reference Instances`'.

Returns:
  the meta object for the containment reference list 'Reference Instances'.
See Also:
  `ExtendedEObjectReference.getReferenceInstances()`, `getExtendedEObjectReference()`
Generated:

#### getSingleValuedContainmentReferenceInstance

    EClass getSingleValuedContainmentReferenceInstance()

Returns the meta object for class '`Single Valued Containment Reference Instance`'.

Returns:
  the meta object for class 'Single Valued Containment Reference Instance'.
See Also:
  `SingleValuedContainmentReferenceInstance`
Generated:

#### getSingleValuedContainmentReferenceInstance_OwnedElement

    EReference getSingleValuedContainmentReferenceInstance_OwnedElement()

Returns the meta object for the containment reference '`Owned Element`'.

Returns:
  the meta object for the containment reference 'Owned Element'.
See Also:
  `SingleValuedContainmentReferenceInstance.getOwnedElement()`, `getSingleValuedContainmentReferenceInstance()`
Generated:

#### getSingleValuedReferenceInstance

    EClass getSingleValuedReferenceInstance()

Returns the meta object for class '`Single Valued Reference Instance`'.

Returns:
  the meta object for class 'Single Valued Reference Instance'.
See Also:
  `SingleValuedReferenceInstance`
Generated:

#### getSingleValuedReferenceInstance_ReferencedElement

    EReference getSingleValuedReferenceInstance_ReferencedElement()

Returns the meta object for the reference '`Referenced Element`'.

Returns:
  the meta object for the reference 'Referenced Element'.
See Also:
  `SingleValuedReferenceInstance.getReferencedElement()`, `getSingleValuedReferenceInstance()`
Generated:

#### getMultiValuedAttributeInstance

    EClass getMultiValuedAttributeInstance()

Returns the meta object for class '`Multi Valued Attribute Instance`'.

Returns:
  the meta object for class 'Multi Valued Attribute Instance'.
See Also:
  `MultiValuedAttributeInstance`
Generated:

#### getMultiValuedAttributeInstance_Values

    EAttribute getMultiValuedAttributeInstance_Values()

Returns the meta object for the attribute list '`Values`'.

Returns:
  the meta object for the attribute list 'Values'.
See Also:
  `MultiValuedAttributeInstance.getValues()`, `getMultiValuedAttributeInstance()`
Generated:

#### getAbstractAttributeInstance

    EClass getAbstractAttributeInstance()

Returns the meta object for class '`Abstract Attribute Instance`'.

Returns:
  the meta object for class 'Abstract Attribute Instance'.
See Also:
  `AbstractAttributeInstance`
Generated:

#### getAbstractAttributeInstance_EAttribute

    EReference getAbstractAttributeInstance_EAttribute()

Returns the meta object for the reference '`EAttribute`'.

Returns:
  the meta object for the reference 'EAttribute'.
See Also:
  `AbstractAttributeInstance.getEAttribute()`, `getAbstractAttributeInstance()`
Generated:

#### getSerializationFactory

    SerializationFactory getSerializationFactory()

Returns the factory that creates the instances of the model.

Returns:
  the factory that creates the instances of the model.
Generated: